API Documentation
Toggle TOC panel
<access-service>/api/v1/dashboard/users/activity

URL structure

1 https://access-service.xy-company.com/api/v1/dashboard/users/activity

Supported methods and overview

  • GET - used to retrieve data about Covata users' daily sign-in activities on the Covata Platform over a period of time until the current day.

Detailed description

This API endpoint retrieves data values about Covata users' daily sign-in activities on the Covata Platform over a period of time until the current day.

These activities (calculated for each day of the time period specified) include the numbers of Covata users (for each account type) who successfully signed in, the total numbers of users who failed to sign in and the date for each each day of the time period specified.

By default, daily sign-in activities from the last 7 days are returned in the response from this API endpoint. However, daily sign-in activities from the last day up to the last year (i.e. 365 days) can be retrieved.

Supported roles

This API endpoint supports the following Covata user roles (as described in the Safe Share Administrator's Guide):

The Covata Platform's resources available to one of these Covata users (above) is determined by the access token passed in the header of requests to this endpoint.

Required headers

The appropriate access token as the Bearer token:

  • Authorization: Bearer a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6

Optional parameters

The following optional parameter can be sent in the URL of the GET request:

  • lastDays - An integer value representing the number of days back from the current time through which to calculate daily data values for all sign-in activities retrieved by this API endpoint.
    Notes:
    • If this parameter is not specified, then a default value of 7 days is assumed.
    • If a parameter value is specified which is outside the permitted range of 1 to 365 days, then the default of 7 days is assumed.
  • uniqueLogin - (default is false).

    Example:

    1 https://access-service.xy-company.com/api/v1/dashboard/users/activity?lastDays=14

Returns

A JSON-formatted response containing the following members:

  • daysReported - .
  • loginFailures - .
  • loggedInUsersExternal - .
  • loggedInUsersLocal - .
  • loggedInUsersLDAP - .

    Example (response from ...):